summaryrefslogtreecommitdiffstats
path: root/system/915resolution
diff options
context:
space:
mode:
author hollywoodb <hollywoodb@fastmail.fm>2010-05-11 15:18:32 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 15:18:32 +0200
commit605420bc21e195161683a7008eb1facf5747bb69 (patch)
tree8703256b2110f5f5383f79f9dca7c59c87e12064 /system/915resolution
parentfc4a5b94c0c46fc0e7e125ef4892f12cb04d5cba (diff)
downloadslackbuilds-605420bc21e195161683a7008eb1facf5747bb69.tar.gz
slackbuilds-605420bc21e195161683a7008eb1facf5747bb69.tar.xz
system/915resolution: Initial import
Diffstat (limited to 'system/915resolution')
-rw-r--r--system/915resolution/915resolution.SlackBuild53
-rw-r--r--system/915resolution/915resolution.info8
-rw-r--r--system/915resolution/README9
-rw-r--r--system/915resolution/slack-desc9
4 files changed, 79 insertions, 0 deletions
diff --git a/system/915resolution/915resolution.SlackBuild b/system/915resolution/915resolution.SlackBuild
new file mode 100644
index 0000000000..2a41490ad8
--- /dev/null
+++ b/system/915resolution/915resolution.SlackBuild
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+## Written by hollywoodb (hollywoodb@fastmail.fm)
+## Package Homepage: http://www.geocities.com/stomljen/
+
+# Modified by the SlackBuilds.org project
+
+# Verify script is being run by root user.
+if [ "$(id -u)" != "0" ]; then
+ echo "This script must be run as root!"
+ exit
+fi
+
+NAME=915resolution
+VERSION=0.5.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$NAME
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+tar -xzvf $CWD/$NAME-$VERSION.tar.gz || exit 1
+cd $NAME-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+make clean
+make || exit 1
+mkdir -p $PKG/usr/sbin
+strip --strip-unneeded 915resolution
+install -m 0755 915resolution $PKG/usr/sbin
+install -m 0755 dump_bios $PKG/usr/sbin
+
+mkdir -p $PKG/usr/doc/$NAME-$VERSION
+cp -a LICENSE.txt README.txt changes.log chipset_info.txt $PKG/usr/doc/$NAME-$VERSION
+cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$NAME-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/915resolution/915resolution.info b/system/915resolution/915resolution.info
new file mode 100644
index 0000000000..f0264c8af2
--- /dev/null
+++ b/system/915resolution/915resolution.info
@@ -0,0 +1,8 @@
+PRGNAM="915resolution"
+VERSION="0.5.2"
+HOMEPAGE="http://www.geocities.com/stomljen/"
+DOWNLOAD="http://www.geocities.com/stomljen/915resolution-0.5.2.tar.gz"
+MD5SUM="a3441e5662c5ff1e00dc97de4487e8f8"
+MAINTAINER="hollywoodb"
+EMAIL="hollywoodb@fastmail.fm"
+APPROVED="robw810"
diff --git a/system/915resolution/README b/system/915resolution/README
new file mode 100644
index 0000000000..4cf017d739
--- /dev/null
+++ b/system/915resolution/README
@@ -0,0 +1,9 @@
+915resolution is a tool to modify the video BIOS of the 800 and 900 series Intel
+graphics chipsets. This includes the 845G, 855G, and 865G chipsets, as well as
+915G, 915GM, and 945G chipsets. This modification is neccessary to allow the
+display of certain graphics resolutions for an Xorg or XFree86 graphics server.
+
+915resolution's modifications of the BIOS are transient. There is no risk of
+permanent modification of the BIOS. This also means that 915resolution must be
+run every time the computer boots inorder for it's changes to take effect.
+
diff --git a/system/915resolution/slack-desc b/system/915resolution/slack-desc
new file mode 100644
index 0000000000..ede8d92747
--- /dev/null
+++ b/system/915resolution/slack-desc
@@ -0,0 +1,9 @@
+ |-----handy-ruler--------------------------------------------------------|
+915resolution: 915resolution (a Intel chipset video BIOS tool)
+915resolution:
+915resolution: 915resolution is a tool to modify the video BIOS of the 800 and 900
+915resolution: serires Intel graphics chipsets. This modification is sometimes
+915resolution: necessary to allow the display of certain graphics resolutions for an
+915resolution: X.org or XFree86 graphics server. Modifications are transient, and
+915resolution: 915resolution must be run every time the system boots.
+915resolution: